%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-facile
Version:        1.1.4
Release:        %mkrel 1
Summary:        OCaml library for constraint programming
License:        LGPL
Group:          Development/OCaml
URL:            http://facile.recherche.enac.fr/
VCS:            git:%{giturl}.git
Source0:        %{giturl}/releases/download/%{version}/facile-%{version}.tbz

# Build with dune and adapt to recent OCaml changes
# https://github.com/Emmanuel-PLF/facile/pull/2
# The PR does not apply cleanly, so the patch has been modified manually
Patch0:         %{name}-use-dune.patch

# Build with debuginfo and fix an underlinked library
Patch1:         %{name}-debug.patch
BuildRequires:  ocaml
BuildRequires:  ocaml-dune

Provides:       facile = %{version}-%{release}
Obsoletes:      facile < 1.1.3-14
Obsoletes:      ocaml-facile-doc < 1.1-25

%description
FaCiLe is a constraint programming library on integer and integer set finite
domains written in OCaml. It offers all usual facilities to create and
manipulate finite domain variables, arithmetic expressions and constraints
(possibly non-linear), built-in global constraints (difference, cardinality,
sorting etc.) and search and optimization goals. FaCiLe allows as well to
build easily user-defined constraints and goals (including recursive ones),
making pervasive use of OCaml higher-order functionals to provide a simple
and flexible interface for the user. As FaCiLe is an OCaml library and not
"yet another language", the user benefits from type inference and strong
typing discipline, high level of abstraction, modules and objects system,
as well as native code compilation efficiency, garbage collection and replay
debugger, all features of OCaml (among many others) that allow to prototype
and experiment quickly: modeling, data processing and interface are
implemented with the same powerful and efficient language.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n facile-%{version} -p1

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE.md

%files devel -f .ofiles-devel


%changelog
* Sat Apr 19 2025 daviddavid <daviddavid> 1.1.4-1.mga10
+ Revision: 2177105
- new version: 1.1.4
- rebuild for ocaml 5.3.0
- drop duplicate facile pkg for ocaml-facile

* Sun Dec 22 2024 pterjan <pterjan> 1.1-24.mga10
+ Revision: 2127996
- Rebuild for patchN deprecation

* Wed May 18 2022 pterjan <pterjan> 1.1-23.mga9
+ Revision: 1858761
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 1.1-22.mga9
+ Revision: 1832545
- Mageia 9 Mass Rebuild

* Sat Oct 16 2021 tv <tv> 1.1-21.mga9
+ Revision: 1751778
- Rebuild for ocaml 4.13.1

* Thu Mar 25 2021 tv <tv> 1.1-20.mga9
+ Revision: 1709767
- Rebuild for ocaml-4.12

* Fri Feb 28 2020 umeabot <umeabot> 1.1-19.mga8
+ Revision: 1551142
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1.1-18.mga8
+ Revision: 1545287
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 tv <tv> 1.1-17.mga8
+ Revision: 1484329
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 1.1-16.mga7
+ Revision: 1324046
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 1.1-15.mga7
+ Revision: 1323735
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 1.1-14.mga7
+ Revision: 1299868
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 1.1-13.mga7
+ Revision: 1179508
- rebuild for new ocaml

* Thu Nov 24 2016 neoclust <neoclust> 1.1-12.mga6
+ Revision: 1069798
- Rebuild against fixed ocaml

* Mon Sep 26 2016 pterjan <pterjan> 1.1-11.mga6
+ Revision: 1056334
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 1.1-10.mga6
+ Revision: 956352
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 1.1-9.mga6
+ Revision: 893284
- rebuild with fixed deps

* Wed Oct 15 2014 umeabot <umeabot> 1.1-8.mga5
+ Revision: 744839
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-7.mga5
+ Revision: 683029
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1-6.mga4
+ Revision: 508458
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1-5.mga3
+ Revision: 361313
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 malo <malo> 1.1-4.mga3
+ Revision: 328751
- adding missing BuildRequires ocaml-compiler-libs
+ blue_prawn <blue_prawn>
- patched for ocaml 4.00
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.1-2.mga3
+ Revision: 300089
- new rpm group for ocaml
- rpm group for doc

* Wed Mar 28 2012 blue_prawn <blue_prawn> 1.1-1.mga2
+ Revision: 227327
- imported package from Mandriva


* Sat Sep 12 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 438541
- corrected doc summary

* Fri Sep 11 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 438515
- import ocaml-facile
